=== debian/changelog ===
console-setup (1.73) unstable; urgency=low

  [ Anton Zinoviev ]
  * Minor additions to keyboard(5) and ckbcomp(1).
  * Add information about setupcon and ckbcomp-mini in the copyright file.
  * Use /lib/init/rw for temporary file if /tmp is mounted read-only.
    When testing whether the keymap has to be recompiled, do not assume
    that either [ file1 -ot file2 ] or [ file2 -ot file1 ] (files can be
    the same age).  Thanks to Jindřich Makovička (he provided a patch),
    Vincent Lefevre, Benoît MERLET and Tony Houghton. 
    Closes: #620228, #620491.

  [ Samuel Thibault ]
  * Remove br(abnt2) choice since br already provides the ABNT2-specific key.
  * Add Ethiopian to non-latin keymaps.
  * Add Kurdish default choice, set to critical like Turkish due to Q/F
    choice.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 12 Apr 2011 21:46:54 +0300

console-setup (1.72) unstable; urgency=low

  * README: /etc/getty=>/etc/gettytab
  * debian/*.init: source /etc/default/locale to permit autodetection of
    the charmap when console-setup-mini operates without configuration
    file.
  * debian/*.init: do not test whether we are on the console, there are
    better tests inside setupcon.
  * setupcon: do not expect the existence of 'tty' (if /usr is not mounted
    'tty' will be unavailable).  Thanks to Sven Joachim, closes: #619462.
  * README.Debian: console-setup-mini no longer installs only a minimal
    set of fonts.  Without configuration file no font will be loaded.
  * A little Lintian cleaning:
    - copyright: add the required reference to common-licenses;
    - restore the separate copyright file for bdf2psf;
    - versioned build dependency on debhelper (>=7.2.3~) for dh_bugfiles;
    - standards version 3.9.1;
    - use dh_lintian to install the override file.
  * setupcon: new options --save-keyboard and --setup-dir.  Keep them
    undocumented for now.
  * setupcon: some bug fixing:
    - the function findfile wouldn't work when setupcon is not run from
      /bin or /usr/local/bin, but from a non-standard location;
    - when working with incomplete information and guessing the font name,
      use [A-WXYZa-wyz] as file pattern for fonts instead of [A-Za-z] (we do
      not want 'x' and in some locales [A-Z] includes 'x').
  * Use all-permissive, non-copyleft license for setupcon and ckbcomp-mini.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Mar 2011 12:06:14 +0300

console-setup (1.71) unstable; urgency=low

  [ Anton Zinoviev ]
  * FAQ: correct some typos and apply two patches by Jonathan Nieder.
    Thanks also to Vincent Lefevre.  Closes: #565391 (with apologies for
    the delay).
  * New manual pages keyboard(5) and console-setup(5).  Updated ckbcomp(1)
    and setupcon(1). Remove README.fonts.  Common documentation directory
    for keyboard-configuration, console-setup-linux,
    console-setup-freebsd, console-setup and console-setup-mini.  New
    README.Debian.  Thanks to Jorgen Grahn, closes: #617580.
  * Remove most of the comments in the default configuration files.  It is
    difficult to update these comments when the functionality of
    console-setup changes and the new manual pages make these comments
    less necessary.
  * Remove the VERBOSE_OUTPUT option from the default configuration file
    (but it is still supported).
  * Install *.bug-control files for reportbug.
  * Ask the keyboard option question even when Debconf doesn't support the
    layout.  Thanks to Petr Baudis and Julien Cristau, closes: #581758.
  * ckbcomp_mini: process properly empty layout and/or variant options.
    Thanks to Baptiste Carvello who reported the problem and traced its
    source.  Closes: #617499.
  * ckbcomp: ignore actions[...] = ... specifications in key definitions.
    Thanks to Klaus Ethgen, closes: #607532.
  * setupcon: accept all methods to state font size in the configuration
    file (8x14, 14x8, 14).
  * Debconf: More human-friendly options for the font size question.  By
    default use 8x14 format for all sizes.
  * setupcon: Improved test whether we are on the console.  Thanks to
    Michael Schutte and Julien Cristau for the suggestions.
  * console-setup(-mini).postinst: add again commands to configure the
    console.
  * ckbcomp: improved implementation for Alt+PrintScreen=SysRq and
    Ctrl+Pause=Break on AT keyboards.
  * ckbcomp: more correct use of approximate().  This probably affects
    only some exotic key combination such as Ctrl+Alt+Shift+AltGr+F1.
  * ckbcomp: lets try to remove some unnecessary and potentialy harmful on
    non-standard layouts mappings for Linux (Ctrl+'=^G, Ctrl+3=^[,
    Ctrl+4=^\, Ctrl+5=^], Ctrl+7=^_, Ctrl+8=^?).
  * Do not source /etc/default/keyboard in /etc/default/console-setup
    (on new installs or upgrades from pre 1.47 versions).
  * setupcon: do not cache automatically the keymap.  Instead add --save
    option the init script.
  * Do not remove /etc/console-setup in postrm.
  * setupcon, config, postinst: recognise 'guess' value in the
    configuration file.
  * postinst: do not fail if setupcon fails.
  * Include Terminus font in the compiled packages.  Do not depend, but
    conflict and provide console-terminus.  New upstream version of the
    Terminus font (4.32).
  * Keyboard/ckb: update with keyboard data of version 2.1 of xkb files.
    (This change is not relevant for Debian.)
  * New install targets in the Makefiles and debian/rules to better
    support non-Debian installs.
  * Support for FreeBSD.  Packages for Debian GNU/kFreeBSD:
    - bdf2psf: new option --raw to generate raw fonts.  Try to use CP437
      code positions if possible.  When generating raw fonts with same
      codeset, use identical font map.
    - ckbcomp and setupcon: support for FreeBSD keymaps.
    - ckbcomp: new option -backspace [ del | bs ] to determine the
      behaviour of the keys BackSpace and Delete.
    - setupcon, postinst: A corresponding variable BACKSPACE in
      /etc/default/keyboard.

