## console-setup 1.75

=== debian/changelog ===
console-setup (1.75) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Fix setupcon when called from the installer menu.
  * Make console-setup-udeb depend on hurd-udeb for the hurd-any case.

  [ Christian Perrier ]
  * Add build-arch and build-indep targets

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Dec 2011 06:05:48 +0100

console-setup (1.74) unstable; urgency=low

  [ Samuel Thibault ]
  * Add cn(uig) keyboard (non-latin) variant.
  * Add d-i layouts for all supported languages: al, ara, es(ast), bd, by,
    in(ben), ba, es(cat), cn, bt, epo, et, ge, in(guj), in(jhelum), in(deva),
    ie, in(kan), kz, kh, kr, tr(ku_f), tr(ku), in(mal), np, no(smi), ir,
    in(guru), lk, in(tam), in(tel), cn(uig), vn.
  * Make console-setup-udeb depend on kbd-udeb or kbdcontrol-udeb to fix
    layout switch in textual d-i.

  [ Christian Perrier ]
  * Default to Russian layout with Ossetian variant for Ossetian
    language
  * Galician translation updates. Closes: #644055

  [ Colin Watson ]
  * Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
    and likewise have keyboard-configuration depend on
    liblocale-gettext-perl.

  [ Anton Zinoviev ]
  * Make U+007C in u_vga16.bdf to be a vertical line instead of broken
    bar.  The fix is in u_vga16_fix.bdf together with the new arabic
    letters from version 1.29.  Thanks to Bjarni Ingi Gislason,
    closes: #646626.
  * keyboard-configuration: depend on initscripts.  Thanks to Johannes
    Schauer, closes: #621077.
  * setupcon: try to use large fonts with consolechars.  Who knows, maybe
    it will be fixed some day...
  * Prefer console-tools to kbd if both utilities are installed.  This is
    wrong as kbd is better but these days only Debian provides
    console-tools and the only way to have both variants of the console
    utilities is when the limited script wrappers of kbd-compat are
    installed.  Thanks to mtths (patch was provided), closes: #631935.
  * setupcon: add /run and /dev to /lib/init/rw as alternative directories
    for temporary files.  Thanks to Michael Biebl, closes: #633153.
  * setupcon: add traps to remove the temporary file when setupcon is
    interrupted.
  * debian/control: use Breaks+Replaces instead of Conflicts
  * ckbcomp-mini: do not drop the lines which do not contain "keycode".
    Thanks to Samuel Thibault.
  * setupcon: assume standard virtual consoles (/dev/tty[1-6], /dev/ttyv[0-3])
    when there is no getty & such to facilitate the detection.  Thanks to
    Samuel Thibault.
  * ckbcomp: never die on errors in the rules files.  This has the
    potential to create some difficult to trace bugs, so issue more
    informative warnings about the problem.  Thanks to Javier Vasquez,
    Jonny, Cédric Boutillier, Daniel Schepler and Peter Eisentraut.
    Closes: #614127, #614550, #625215, #626025, #642287.
  * ckbcomp: interpret dead_abovering as degree sign.  Update the
    xkbsym_date hash in compose_translator.  Thanks to Bjarni Ingi Gislason,
    closes: #649201.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Nov 2011 13:48:35 +0200
