## console-setup 1.88

=== debian/changelog ===
console-setup (1.88) unstable; urgency=low

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Dec 2012 07:00:49 +0100

console-setup (1.87) unstable; urgency=low

  [ Samuel Thibault ]
  * keyboard-configuration.config: Fix greek and ethiopian default layout into
    including a US group, closes: #691201. Thanks Alkis Georgopoulos for the
    report.

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 13:55:37 +0200

console-setup (1.86) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 08:49:14 +0200

console-setup (1.85) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 13:08:32 +0200

console-setup (1.84) unstable; urgency=low

  * Turn /usr/share/doc/console-setup{,-mini} into symlinks. Thanks to
    Sven Joachim for the patch, closes: #657904.
  * Tighten the dependency of console-setup-* on keyboard-configuration as
    /usr/share/doc/console-setup* are symlinks. Thanks to Sven Joachim for
    the patch.
  * postinst: Do not modify /etc/default/{keyboard,console-setup} if
    either file is a symlink.  Thanks to Martin Ziegler, closes: #671003.
  * keyboard-setup.init: hide error messages issued by setupcon (those are
    normal if /usr is unavailable).  Thanks to Miguel Angel, closes: #651229.
  * Make setupcon --save-keyboard fail if the keyboard model is unknown.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 30 Sep 2012 20:15:47 +0300

console-setup (1.83) unstable; urgency=low

  [ Samuel Thibault ]
  * Add font-switch script to console-setup-linux-fonts-udeb package, remove
    fonts which are not used by d-i.
  [ Anton Zinoviev ]
  * Make setupcon --save-keyboard fail if ckbcomp fails.  Thanks to
    Michael Prokop for discovering this bug.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 26 Sep 2012 22:18:52 +0300

console-setup (1.82) unstable; urgency=low

  * Re-upload without .gitignore files in the source package.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Aug 2012 01:25:07 +0200

console-setup (1.81) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * console-setup-udeb.postinst: Support hurd keymap change by restarting the
    console.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jul 2012 00:55:05 +0200

console-setup (1.80) unstable; urgency=low

  * Team upload.
  * Re-upload without mess from my checkout.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jul 2012 15:55:57 -0300

console-setup (1.79) unstable; urgency=low

  * Team upload.
  * rules: Add missing dependency main_build -> ekmap generation, to fix empty
    kmap files generated by parallel builds. Closes: #679171.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2012 01:13:11 -0300

console-setup (1.78) unstable; urgency=low

  * Team upload.
  * Updated translations:
    - Amharic (am.po)
    - Croatian (hr.po)
  * Add support for parallel=n in DEB_BUILD_OPTIONS.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 22 Jun 2012 12:07:04 +0200

console-setup (1.77) sid; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Marathi (mr.po) by sampada
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Romanian (ro.po) by ioan-eugen stan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Tamil (ta.po) by Kumar Appaiah
  * Uyghur (ug.po) by Sahran

 -- Julien Cristau <jcristau@debian.org>  Fri, 15 Jun 2012 19:22:55 +0200

console-setup (1.76) unstable; urgency=low

  [ Peter Eisentraut ]
  * Added support for "status" action to init scripts, closes: #651461.

  [ Samuel Thibault ]
  * Remove kbdnames.gz from console-setup-udeb, it is not used any more.

  [ Christian Perrier ]
  * Add Sindhi as "pk(snd)" to the list of keymap choices
  * Change "Slovakian" (incorrect spelling) to "Slovak"
  * Change "Slovene" (incorrect spelling) to "Slovenian"

  [ Samuel Thibault ]
  * Fix Norwegian Nynorsk vs Persian keymap inversion. Closes: #665874.

  [ Robert Millan ]
  * Add Catalan to the list of languages that can be represented with
    Lat15. Closes: #667986

  [ Anton Zinoviev ]
  * setupcon: exit with error message if the kernel is neither Linux, nor
    FreeBSD.
  * setupcon: do not load font with UTF-8 on FreeBSD (the support of UTF-8
    on FreeBSD is very limited).  Thanks to Robert Millan, closes: #666542
  * Only include the debconf-selectable layouts in the udebs.  Based on a
    patch by Samuel Thibault with changes.  Closes: #658668.
  * config: handle XkbLayout of the form us(intl),cz(qwerty) when guesing
    default values from xorg.conf.  Thanks to Nathan Cutler,
    closes: #658020.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Apr 2012 17:42:22 +0300
